QGIS Application - Bug report #3190
SVG markers with centered labels issue
2010-11-04 11:43 PM - dr -

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 13250
Description

Sometimes SVG markers which contained centered text labels looks in QGIS a little differ than in another software like browsers or vector
graphic editors. In such cases label is moving to left side of marker. For example: [
http://gis-lab.info/images/screenshots/20101104-e59-50kb.jpg] Example of svg marker in attachment.

History

#1 - 2011-04-17 02:01 PM - Martin Dobias
- Resolution set to upstream
- Status changed from Open to Closed

Unfortunately this is how Qt loads that SVG, so it's not actually QGIS problem - if you open SVG Viewer example from "gtdemo" application, it will display

the SVG in the same way as QGIS does. Please file a bug in Qt for this issue.

As a workaround consider transforming that text to a path in a vector editor...

#2 - 2011-06-08 10:41 AM - Alexander Bruy

QTBUG-19788

Files
